;n_hcacon
;avance-version (09/09/17)
;3D sequence with
;   inverse correlation for triple resonance using multiple
;      inept transfer steps
;
;      F1(H) -> F2(Ca) -> F2'(C=O, t1) -> F2(Ca, t2) -> N(t3)
;
;on/off resonance Ca and C=O pulses using shaped pulse
;phase sensitive (t1)
;phase sensitive using Echo/Antiecho-TPPI gradient selection (t2)
;(use parameterset HCACOGP3D)
;
;
;$CLASS=HighRes
;$DIM=3D
;$TYPE=
;$SUBTYPE=
;$COMMENT=


prosol relations=<triple>


#include <Avance.incl>
#include <Grad.incl>
#include <Delay.incl>


;f1:N, f2:H, f3:C, f4:D

"p2=p1*2"  ; N
"p22=p21*2" ;H
"d11=30m"
"d12=20u"
"d13=4u"

"d21=1.7m"

"d22=4.5m"

"d24=11.3m" ;1/8JaN  delay for Ca evolution can be determined by paropt
"d25=14.3m" ;1/(2*JAB)


"d26=11.3m" ;1/8JaN  delay for N evolution can be determined by paropt


;definition for nitrogen transverse delays
"d31=d26/2-p14/2" ;delay for N reforcus
"d32=d31-d12-4u"


"d0=3u"
"d10=3u"
"TAU1=d22-d10"
"TAU2=d24-d22-p14"
"TAU3=d25-d24-p2"
"d30=d25-p14-4u"


"in0=inf1/2"
"in10=inf2/2"
"in30=in10"


"DELTA=d0*2+larger(p14,p22)-p14"
;"DELTA1=d22-d21-p2-p14-p24/2-p16-8u"
;"DELTA1=d22-d21-p22-p14-p24/2-8u"  
;"DELTA2=d22-p14-p24/2-8u"
"DELTA1=d22-d21-p22-8u"  
"DELTA2=d22-8u"



"spoff2=0"
"spoff3=0"
"spoff5=bf3*((cnst21-cnst22)/1000000)"
"spoff7=bf3*((cnst22-cnst21)/1000000)"
"spoff8=0"
"spoff9=0"
"spoff10=0"
"spoff12=0"

"spoff23=0"
"spoff24=0"
"spoff25=0"
"spoff26=bf3*((cnst21-cnst22)/1000000)"
;"spoff15=bf3*((cnst21-cnst22)/2000000)"
"spoff15=0"



aqseq 321


1 d11 ze
  d11 LOCKDEC_ON
  50u LOCKH_ON
  d11 H2_PULSE
  d11 pl16:f3 pl17:f4

2 d11 do:f3 do:f2  do:f4

3 d11 H2_LOCK
   6m LOCKH_OFF
 
  d1 pl1:f1 pl2:f2 pl0:f3
   50u LOCKH_ON
  d12 H2_PULSE
  50u UNBLKGRAMP
  d12 fq=cnst22(bf ppm):f3
  20u cpd4:f4

  (p21 ph1):f2
  d4 
  (center (p22 ph1):f2 (p14:sp3 ph1):f3 )
  d4
  (p21 ph2):f2 

  (p13:sp2 ph3):f3
  d21 
  (p22 ph1):f2
  4u
  DELTA1
  (p14:sp5 ph1):f3
  4u
  (p24:sp9 ph1):f3
  4u
  DELTA2
  (p14:sp5 ph1):f3
  4u
  (p13:sp8 ph1):f3 

  d13 pl12:f2
  d12 fq=cnst21(bf ppm):f3
  d12 cpd2:f2
 

  (p23:sp10 ph4):f3
  d0
  (center (p2 ph1):f1 (p14:sp7 ph1):f3  )
  d0
  4u
  (p14:sp3 ph1):f3
  DELTA
  (p14:sp7 ph1):f3
  4u
  (p23:sp12 ph1):f3

  d12 fq=cnst22(bf ppm):f3

 
  (p13:sp23 ph5):f3
   d10                              ;            "d10=3u"
  TAU1                               ;           "TAU1=d22-d10"
  (p14:sp26 ph1):f3
  TAU2                                ;          "TAU2=d24-d22-p14"
   (p2 ph1):f1 
  TAU3                                 ;         "TAU3=d25-d24-p2"
  (p14:sp24 ph1):f3 
   d30                                  ;        "d30=d25-p14-4u"
   (p14:sp26 ph1):f3
   4u
  (p13:sp25 ph1):f3

  5u do:f2 do:f4
  p16:gp1
  d16 pl12:f2 pl17:f4
  20u  
  5u cpd2:f2  cpd4:f4
  

  (p1 ph1):f1			;Ny i->i+/-1 transfer____
  d31

  (p14:sp26 ph1):f3
  d31				;"d31=d26/2-p14/2"
  (center (p2 ph1):f1 (p14:sp24 ph1):f3)
  d31
  (p14:sp26 ph1):f3
  d32 fq=cnst24(bf ppm):f3  ; at 114 ppm "d32=d31-4u"
  d12 pl16:f3
 
  4u do:f2
  4u BLKGRAMP 
  go=2 ph31 cpd3:f3
  d11 do:f2 do:f3 do:f4 mc #0 to 2 
     F1PH(calph(ph4, +90), caldel(d0, +in0)) 
     F2PH(calph(ph5, +90), caldel(d30, -in30) & caldel(d10, +in10) )

d11 do:f2 do:f3 do:f4
  d11 H2_LOCK
  d11 LOCKH_OFF
  d11 LOCKDEC_OFF



exit


ph1=0
ph2=1
ph3=0 2
ph4=0 0 2 2
ph5=0 0 0 0 2 2 2 2
ph31=0 2 2 0 2 0 0 2

;pl1 : f1 channel - power level for pulse (default)
;pl3 : f3 channel - power level for pulse (default)
;pl12: f2 channel - power level for CPD/BB decoupling
;sp2: f2 channel - shaped pulse  90 degree  (on resonance, Ca)
;sp3: f2 channel - shaped pulse 180 degree  (on resonance, Ca)
;sp5: f2 channel - shaped pulse 180 degree  (off resonance, C=O)
;sp7: f2 channel - shaped pulse 180 degree  (off resonance, Ca)
;sp8: f2 channel - shaped pulse  90 degree  (on resonance, Ca)
;     sp8 for time reversed Calpha pulses
;sp9: f2 channel - shaped pulse 180 degree  (on resonance, Ca)
;     sp9 requires higher selectivity - refocussing Calpha only
;sp10: f2 channel - shaped pulse  90 degree  (on resonance, C=O)
;sp12: f2 channel - shaped pulse  90 degree  (on resonance, C=O)
;     sp12 for time reversed C=O pulse
;     sp10, sp12 may require higher selectivity
;sp24: f1 channel - shaped pulse 180 degree  (on resonance)
;sp25: f1 channel - shaped pulse  90 degree  (on resonance)
;                   for time reversed pulse
;sp26: f1 channel - shaped pulse 180 degree  (C=O off resonance)
;p1 : f1 channel -  90 degree high power pulse
;p2 : f1 channel - 180 degree high power pulse
;p13: f2 channel -  90 degree shaped pulse
;p14: f2 channel - 180 degree shaped pulse
;p16: homospoil/gradient pulse                         [1 msec]
;p22: f3 channel - 180 degree high power pulse
;p23: f2 channel -  90 degree shaped pulse (C=O, selective)
;p24: f2 channel - 180 degree shaped pulse (Ca, selective)
;d0 : incremented delay (F1 in 3D)                     [3 usec]
;d1 : relaxation delay; 1-5 * T1
;d4 : 1/(4J(HCa))                                      [1.7 msec]
;d10: incremented delay (F2 in 3D)                     [3 usec]
;d11: delay for disk I/O                               [30 msec]
;d12: delay for power switching                        [20 usec]
;d13: short delay                                      [4 usec]
;d16: delay for homospoil/gradient recovery
;d21: 1/(4J`(HCa)) for CH                              [1.7 msec]
;     1/(6J`(HCa)) for CH and CH2                      [1.2 msec]
;d22: 1/(4J(CaCO))                                     [4.5 msec]
;cnst21: CO chemical shift (offset, in ppm)
;cnst22: Calpha chemical shift (offset, in ppm)
;inf1: 1/SW(CO) = 2 * DW(CO)
;inf2: 1/SW(Ca) = 2 * DW(Ca)
;in0: 1/(2 * SW(C=O)) = DW(C=O)
;nd0: 2
;in10: 1/(2 * SW(Ca)) = DW(Ca)
;nd10: 2
;NS: 16 * n
;DS: 32
;td1: number of experiments in F1
;td2: number of experiments in F2
;FnMODE: States-TPPI (or TPPI) in F1
;FnMODE: echo-antiecho in F2
;cpd2: decoupling according to sequence defined by cpdprg2
;pcpd2: f2 channel - 90 degree pulse for decoupling sequence


;use gradient ratio:    gp 1 : gp 2 : gp 3 : gp 4
;                          3 :    3 :   80 : 20.1

;for z-only gradients:
;gpz1: 3%
;gpz2: 3%
;gpz3: 80%
;gpz4: 20.1%

;use gradient files:
;gpnam1: SMSQ10.100
;gpnam2: SMSQ10.100
;gpnam3: SMSQ10.100
;gpnam4: SMSQ10.100



;$Id: hcacogp3d,v 1.8 2009/10/29 19:50:25 ber Exp $
